#!/bin/sh

set -e

# Give the PEs enough time to display their popups,
# to ensure screenshots are captured correctly.
WAIT_FOR_POPUP=20s

export WINEDEBUG=err-all,fixme-all

echo ">>> test hyperion on a 32 bits executable"
WINEPREFIX=~/.wine WINEARCH=win32 wine /usr/share/windows-resources/hyperion/hyperion.exe /usr/share/doc/hyperion/Examples/helloworld.exe crypted32.exe 2>/dev/null
echo ">>> test hyperion on 64 bits executable"
WINEPREFIX=~/.wine64 WINEARCH=win64 wine /usr/share/windows-resources/hyperion/hyperion.exe /usr/share/doc/hyperion/Examples/helloworld64.EXE crypted64.exe 2>/dev/null

echo ">>> check the result for 32 bits"
WINEPREFIX=~/.wine WINEARCH=win32 wine crypted32.exe 2>/dev/null &
WINE_PID=$!
sleep $WAIT_FOR_POPUP
echo ">>> take the screenshot for .exe 32 bits"
scrot -w `xwininfo -name "hello" -d :99 | egrep -o 'id: 0x[a-z0-9]{6}' | cut -d ' ' -f2` screenshot-crypted32.png
echo ">>> kill wine process"
kill $WINE_PID 2>/dev/null

echo ">>> check the result for 64 bits"
WINEPREFIX=~/.wine64 WINEARCH=win64 wine crypted64.exe 2>/dev/null &
WINE_PID=$!
sleep $WAIT_FOR_POPUP
echo ">>> take the screenshot for .exe 64 bits"
scrot -w `xwininfo -name "Win64 assembly program" -d :99 | egrep -o 'id: 0x[a-z0-9]{6}' | cut -d ' ' -f2` screenshot-crypted64.png
echo ">>> kill wine process"
kill $WINE_PID 2>/dev/null
